created symlinks at installation time

git-svn-id: https://svn.d4science.research-infrastructures.eu/gcube/trunk/distributions/smartgears-distribution@93934 82a268e6-3cf1-43bd-a215-b396298e98cf
This commit is contained in:
Andrea Manzi 2014-03-31 15:20:12 +00:00
parent afe55cc604
commit 2ad2eb90f4
3 changed files with 29 additions and 5 deletions

View File

@ -1,10 +1,17 @@
<ReleaseNotes>
<Changeset component="${build.finalName}" date="2013-10-24">
<Changeset component="org.gcube.distribution.smartgears-distribution.1-0-0" date="2013-10-24">
<Change>First Release</Change>
</Changeset>
<Changeset component="${build.finalName}" date="2014-01-31">
<Changeset component="org.gcube.distribution.smartgears-distribution.1-1-0" date="2014-01-31">
<Change>JAVA 7 Release</Change>
<Change>Included wHN manager service</Change>
</Changeset>
<Changeset component="org.gcube.distribution.smartgears-distribution.1-2-0" date="2014-04-04">
<Change>included smartgears-utils</Change>
<Change>upgraded clean scripts to clean the IS</Change>
<Change>added symlink for shared libs</Change>
</Changeset>
</ReleaseNotes>

View File

@ -185,4 +185,21 @@ if [ -z "$dryrun" ]; then
sleep .01
fi
#creating the symlink to shared and apps folder
ln -s $shared $ghnhome/lib
if [ "$?" != "0" ]; then
echo -e "\nFailed to create the symlink to $shared folder"
exit 1
fi
ln -s $apps $ghnhome/apps
if [ "$?" != "0" ]; then
echo -e "\nFailed to create the symlink to $apps folder"
exit 1
fi
echo -e "\ndone.\n"

View File

@ -1,7 +1,7 @@
if [ -z "$CATALINA_HOME" ]; then
echo -e "\nERROR:please specify the CATALINA_HOME env var." >&2
if [ -z "$GHN_HOME" ]; then
echo -e "\nERROR:please specify the GHN_HOME env var." >&2
echo -e "\naborting.\n"
exit 1
fi
export CLASSPATH=$CLASSPATH:"$CATALINA_HOME/lib/*"
export CLASSPATH=$CLASSPATH:"$GHN_HOME/lib/*"